package com.nisum.asegers.spring_web_flux_assignment.custom_flux_classes;

import org.reactivestreams.Subscriber;
import org.reactivestreams.Subscription;

public class MySubscriber<T> implements Subscriber<T> {
    @Override
    public void onSubscribe(Subscription subscription) {
        subscription.request(10);
        System.out.println("Subscribed");
    }

    @Override
    public void onNext(T t) {
        System.out.println("Current object: " + t);
    }

    @Override
    public void onError(Throwable throwable) {
        System.out.println("An error occurred in MySubscriber");
        throwable.printStackTrace();
    }

    @Override
    public void onComplete() {
        System.out.println("Completed");
    }
}
